package cn.amq.peas;

import java.util.LinkedList;
import java.util.List;
import org.dom4j.Element;
import org.dom4j.Node;
import cn.amq.basis.AmqBasisEvent;
import cn.amq.basis.AmqConst;
import java.util.LinkedList;
//[设备联动_holder_one]
public class TrafficEventLinkageActionHolder extends AmqBasisEvent {
 	public TrafficEventLinkageActionHolder(){
		msgType=AmqConst.AMQ_MSG_trafficEventLinkageAction;
	}
	private String senderModuleName;//[发送模块名称]
	private String eventId;//[事故主键]
	private String alarmCode;//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
	private String deviceType;//[设备类型，代码字段：1-情报板；2-交通信号灯；3-大屏上墙； 4-平台通信；5-语音播报；6-声光报警；7-短信通知；8-通风控制器；9照明控制；11-车道指示器；99-结束预案]
	private String deviceId;//[设备ID，多个设备id用分号隔开 Led情报板：关联TrafficLedDevice表 交通诱导灯：关联TrafficLightDevice表]
	private String deviceInstruction;//[设备指令；Led情报板指令：情报板显示文字。交通诱导灯指令：1：禁止-红灯；2：通行-绿灯；3：黄灯；4：关灯]
	private String createAppName;//[创建人，trafficLinkage(修改为执行方式:0:确认执行，1：提早执行，2：跳过执行)]
	private String createTime;//[创建时间]
	public void setSenderModuleName(String senderModuleName){
		this.senderModuleName = senderModuleName;
	}
	public String getSenderModuleName(){
		return senderModuleName;
	}
	public void setEventId(String eventId){
		this.eventId = eventId;
	}
	public String getEventId(){
		return eventId;
	}
	public void setAlarmCode(String alarmCode){
		this.alarmCode = alarmCode;
	}
	public String getAlarmCode(){
		return alarmCode;
	}
	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	public String getDeviceType(){
		return deviceType;
	}
	public void setDeviceId(String deviceId){
		this.deviceId = deviceId;
	}
	public String getDeviceId(){
		return deviceId;
	}
	public void setDeviceInstruction(String deviceInstruction){
		this.deviceInstruction = deviceInstruction;
	}
	public String getDeviceInstruction(){
		return deviceInstruction;
	}
	public void setCreateAppName(String createAppName){
		this.createAppName = createAppName;
	}
	public String getCreateAppName(){
		return createAppName;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void writeObjToXml() {
		super.writeObjToXml();
 		this.addTextToElement(outMsgTypeElement, "senderModuleName",senderModuleName );//[发送模块名称]
 		this.addTextToElement(outMsgTypeElement, "eventId",eventId );//[事故主键]
 		this.addTextToElement(outMsgTypeElement, "alarmCode",alarmCode );//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		this.addTextToElement(outMsgTypeElement, "deviceType",deviceType );//[设备类型，代码字段：1：情报板；2：交通诱导灯]
 		this.addTextToElement(outMsgTypeElement, "deviceId",deviceId );//[设备ID，多个设备id用分号隔开 Led情报板：关联TrafficLedDevice表 交通诱导灯：关联TrafficLightDevice表]
 		this.addTextToElement(outMsgTypeElement, "deviceInstruction",deviceInstruction );//[设备指令；Led情报板指令：情报板显示文字。交通诱导灯指令：1：禁止-红灯；2：通行-绿灯；3：黄灯；4：关灯]
 		this.addTextToElement(outMsgTypeElement, "createAppName",createAppName );//[创建人，trafficLinkage(修改为执行方式:0:确认执行，1：提早执行，2：跳过执行)]
 		this.addTextToElement(outMsgTypeElement, "createTime",createTime );//[创建时间]
	}
	public void readTextToObject(String text) throws Exception {
		super.readTextToObject(text);
 		senderModuleName = this.readStringByFullPath("/amq/senderModuleName");//[发送模块名称]
 		eventId = this.readStringByFullPath("/amq/eventId");//[事故主键]
 		alarmCode = this.readStringByFullPath("/amq/alarmCode");//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		deviceType = this.readStringByFullPath("/amq/deviceType");//[设备类型，代码字段：1：情报板；2：交通诱导灯]
 		deviceId = this.readStringByFullPath("/amq/deviceId");//[设备ID，多个设备id用分号隔开 Led情报板：关联TrafficLedDevice表 交通诱导灯：关联TrafficLightDevice表]
 		deviceInstruction = this.readStringByFullPath("/amq/deviceInstruction");//[设备指令；Led情报板指令：情报板显示文字。交通诱导灯指令：1：禁止-红灯；2：通行-绿灯；3：黄灯；4：关灯]
 		createAppName = this.readStringByFullPath("/amq/createAppName");//[创建人，trafficLinkage(修改为执行方式:0:确认执行，1：提早执行，2：跳过执行)]
 		createTime = this.readStringByFullPath("/amq/createTime");//[创建时间]
	}
}
